Installation du .Net Compact Framework 3.5 - .Net Compact Framework 3.5 installation

Installation du .Net Compact Framework 3.5 - .Net Compact Framework 3.5 installation

  • Comments 10

La version redistribuable du Compact Framework 3.5 est disponible au téléchargement.

Comme je l'expliquais dans ce screencast, le CF 3.5 est disponible dans Visual Studio 2008 et apporte des nouveautés intéressantes pour le développement d'applications mobiles et embarquées (WCF, LINQ, de nouveaux outils de compilation, de diagnostic). Vous pouvez désormais le redistribuer sous la forme d'un .cab en même temps que votre application.

Pour ce qui est de Windows Mobile, le déploiement d'un cab est quelque chose de classique, en revanche, en ce qui concerne les devices Windows CE, les choses sont un peu différentes, en effet, lorsque l'on développe un système Windows CE, on veut la plupart du temps que le système ne soit pas ouvert et que l'installation d'un cab ne soit pas possible. Ainsi, pour inclure le Compact Framework directement dans une image Windows Embedded CE 4.2, 5.0 ou 6.0, il faut télécharger et installer l'update mensuel adéquate depuis cette page (je mettrais à jour ce billet dès que les updates en question seront disponibles).

 

The redistributable version of the .Net Compact Framework 3.5 is available for download.

As I explained in this screencast, the CF 3.5 is available in Visual Studio 2008 and brings interesting new features for mobile and embedded managed applications development (WCF, LINQ, new compiling tools, diagnostic tools). You can now redistribute this framework as a .cab file along with your application.

For Windows Mobile, deploying a cab is something usual, but things are pretty different on a Windows Embedded CE device as you usually don't want such a device to be open and installing a cab file on these is not possible. So, to include the .Net CF 3.5 in your Windows Embedded CE 4.2, 5.0 or 6.0, you'll have to download the appropriate monthly update from this web page (I'll update this post as soon as these updates are available).

Leave a Comment
  • Please add 5 and 5 and type the answer here:
  • Post
  • Salut,

    Est-ce que le SSL est supporter dans CF 3.5 ?

  • Bonjour Olivier,

    Apparemment il est possible de télécharger le CF 3.5 pour bénéficier des fonctions avancées WCF et ce indépendamment de la version de l'OS du PDA [en l'occurrence, j'ai un Windows CE 4.2 non upgradable à cause du hardware)

    Deux petites questions:

    - Quand j'ai assisté aux démonstrations aux Techdays: je voyais dans l'interface de VS2008 que l'on devait choisir son device [mais je n'ai pas vu la version 4.2 ?] Puis-je vraiment bénéficier de toutes les fonctionnalités du nouveau framework CE 3.5 (gestion simplifiée des protocoles de communication, débuggage croisé) pour un mobile équipé de Win CE 4.2 ?

    - Pour utiliser VS 2008, suis-je vraiment obligé d'installer Vista ?

    Merci d'avance pour tes réponses.

    Cdlt.

    Franck

  • Bonjour Olivier,

    J'avais posté un "comment" la semaine dernière, mais il s'est peut être perdu en route.

    Après les sessions des Techdays sur l'embarqué, que j'ai trouvé très intéressantes, j'avais 2 petites questions:

    1. Devant développer pour des PDA avec un Windows CE 4.2 non upgradable. Est-il possible de chager CF 3.5 sur ces appareils ?

    2. Dans VS 2008, peut-on simuler une plateforme 4.2 ? [lors de la démonstration, je n'ai vu que 5.0 et 6.0]

    3. Si je veux installer VS 2008, est-il possible de rester en XP 2 ?

    Merci pour tes réponses.

    CDLT.

    FranckC

  • Bonjour Franck

    L'installation de VS 2008 ne nécessite pas de passer à Windows Vista. En revanche, il nécessite le Service Pack 2 de Windows XP.

    Pour ce qui est de l'émulateur, il n'est pas possible d'émuler un terminal Windows CE 4.2 avec VS 2008. Mais attention, parle-t'on de CE 4.2 ou bien de Windows Mobile 2003 ? Si l'on parle de WM 2003, il y a un émulateur à disposition.

    Enfin, le CF 3.5 supporte les plateformes Windows CE .NET, Windows Mobile 2003 SE software for Pocket PC, Windows Mobile 5.0, Windows Mobile 6.

    Olivier

  • Salut Sirus,

    Le Namespace System.Net.Security n'est pas supporté dans le Compact Framework (même dans sa dernière version). Mais SSL est supporté nativement par l'OS Windows CE, il faut donc envisager un peut d'interop pour utiliser SSL.

    Olivier

  • In a previous post , I was telling you about the "future" possibility to include the .Net Compact

  • Je ne peut pas installer de .msi dans mon windows ce

    peut tu me dire comment fair l'update?

  • Bonjour Emilio,

    On ne peut pas installer le msi directement dans Windows CE.

    msi est un fichier au format Windows.

    Le msi doit etre installe sur le PC de developpement. Il y a un fichier .cab dans le repertoire C:\Program Files\Microsoft.NET\SDK\CompactFramework\v3.5\WindowsCE qui permet de faire l'installation sur Windows CE directement (il faut que le composant cab installer soit dans l'image Windows CE).

    -Olivier

  • Il y a tu un moyen d'empecher de réinstaller le framework a chaque démarrage du windows CE?

    J'ai entendu parler du programme TCM mais je ne comprend pas comment créer un image du CE pour qu'au démarrage de celui-ci, le framework est déja installé et pret a être utilisé.

  • Emilio,

    Si ton image de Windows CE est deja sur le device et que tu n'as pas le BSP permettant de regenerer l'image dans l'outils Platform Builder, il n'y a aucun moyen de faire cela. Il semblerait que l'image Windows CE que tu as n'implemente pas les mecanismes de sauvegarde de la base de registre et du File System, ainsi a chaque redemarrage de ton device l'image d'origine est rechargee en RAM et aucune modification n'est maintenue.

    Si tu as Platform Builder et le BSP, dans ce cas le CF est un des composants du catalogue et il suffit de l'ajouter a l'OSDesign pour qu'il fasse parti integrante de l'OS.

    -Olivier

Page 1 of 1 (10 items)